AMPのアドセンスに関するバリデーションエラーの解決方法

ブラウザのChromeには、AMP(アンプ)のサイトの設定が有効かどうかチェックするデベロッパーツール「AMP Validator」があります。

AMPのサイトを作成し、アドセンスをタグで貼り付けたとき、この「AMP Validator」によって、つぎのようなバリデーションエラーが警告されることがあります。

「The tag ‘amp-ad extension .js script’ is missing or incorrect, but required by ‘amp-ad’. This will soon be an error.」

この警告は、amp-adについてのJS(ジャバスクリプト)が、コード中に存在しないことを警告しています。

すなわち、当該JSを、HTMLコードに記載せよというアドバイスです。

そのJSとは、

<script async custom-element=”amp-ad” src=”https://cdn.ampproject.org/v0/amp-ad-0.1.js”></script>

というコードです。

このコードを貼り付けることで、エラーが解消されます。